Skip to main content
`Ctrl`+`K`

# VecTaggerSetUp

set up a `VecTagger` context

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecTaggerSetUp(VecTagger tagger)

Collective

## Input Parameter

- tagger - Vec tagger object

## See Also

`VecTaggerSetFromOptions()`, `VecTaggerSetType()`, `VecTagger`, `VecTaggerCreate()`

## Level

advanced

## Location

src/vec/vec/utils/tagger/interface/tagger.c

## Examples

src/snes/tutorials/ex27.c
src/ts/tutorials/ex30.c
src/ts/tutorials/ex11.c
src/vec/vec/utils/tagger/tutorials/ex1.c

## Implementations

VecTaggerSetUp_AndOr() in src/vec/vec/utils/tagger/impls/andor.c
VecTaggerSetUp_Simple() in src/vec/vec/utils/tagger/impls/simple.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages